## partman-crypto 40ubuntu5

=== debian/changelog ===
partman-crypto (40ubuntu5) lucid; urgency=low

  * Register partman-crypto/confirm_nooverwrite, associated with the
    partman-crypto/confirm template.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Apr 2010 14:54:47 +0100

partman-crypto (40ubuntu4) lucid; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Apr 2010 00:50:01 +0100

partman-crypto (40ubuntu3) lucid; urgency=low

  * Allow preseeding partman-crypto/weak_passphrase too (LP: #546405).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Apr 2010 12:24:49 +0100

partman-crypto (40ubuntu2) lucid; urgency=low

  * Allow preseeding the first passphrase prompt (LP: #546405).  (Preseeding
    passphrases for multiple different physical volumes is a whole different
    kettle of fish ...)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Mar 2010 23:33:32 +0100

partman-crypto (40ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 05 Dec 2009 22:29:57 +0000

partman-crypto (40) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.
  * Fix typo that broke detection of crypto devices in crypto_allowed.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Danish (da.po) by Ask Hjorth Larsen
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by Emmanuel Galatoulas
  * Estonian (et.po) by Mattias Põldaru
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po)
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Nov 2009 14:19:34 +0000

partman-crypto (39ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Nov 2009 14:25:53 +0000

partman-crypto (39) unstable; urgency=low

  * Use ask_active_partition from partman-base >= 133 and
    add corresponding versioned depends.
  * Use partman_list_allowed from partman-base.
  * Correct call to disable_swap. Requires partman-base >= 134.
  * Use UUID= to specify source device in /etc/crypttab. 

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Max Vozeler <xam@debian.org>  Fri, 07 Aug 2009 15:49:09 +0200

partman-crypto (38) unstable; urgency=low

  * Merge from Ubuntu:
    - Handle dm_mod and dm_crypt specially in crypto_load_module, to cope
      with them being built-in.
    - Add a menu under "Configure encrypted volumes", making this more in
      line with partman-lvm and partman-md.
    - Rearrange crypto configuration. Instead of requiring partitions to be
      set for use as physical volumes for encryption first, we now offer all
      partitions that could be used as physical volumes, and automatically
      set them up that way on request. (Unlike LVM and RAID, we still offer
      the configuration menu for each partition being newly set up this way,
      since it's the only opportunity the user will have to change
      encryption settings.) This allows us to offer our main menu option
      more or less all the time, and should require many fewer keystrokes to
      operate. Thanks to Max Vozeler for review.
  * Don't require depmod on successive runs of crypto_load_udebs.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Belarusian (be.po) by Pavel Piatruk
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Marathi (mr.po) by Sampada
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Mert Dirik
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Jul 2009 19:11:05 +0100

## partman-crypto 43ubuntu1

=== debian/changelog ===
partman-crypto (43ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 May 2010 10:45:27 +0100

partman-crypto (43) unstable; urgency=low

  * Register partman-crypto/confirm_nooverwrite, associated with the
    partman-crypto/confirm template.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Hindi (hi.po) by Kumar Appaiah
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by A S Alam
  * Tamil (ta.po) by Dr,T,Vasudevan

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Apr 2010 10:56:22 +0100

partman-crypto (42) unstable; urgency=low

  * Actually install the post-base-installer hook script.

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Tue, 09 Mar 2010 21:32:36 +0100

partman-crypto (41) unstable; urgency=low

  * Move installation of dmsetup to post-base-installer hook script.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po)
  * Galician (gl.po) by Marce Villarino
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Mon, 22 Feb 2010 04:08:26 +0100

## partman-crypto 46

=== debian/changelog ===
partman-crypto (46) unstable; urgency=low

  [ Colin Watson ]
  * Include <sys/mount.h> for BLKGETSIZE rather than <linux/fs.h>.

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:15:49 -0200

partman-crypto (45) unstable; urgency=low

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beirovi
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Behrad Eslamifar
  * Finnish (fi.po) by Esko Arajrvi
  * Icelandic (is.po) by Sveinn  Felli
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Serbian (sr.po) by Karolina Kalic
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 10:20:57 -0200

partman-crypto (44) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 19:07:00 +0200

=== debian/control ===
Source: partman-crypto
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 7.0.8), dh-di, po-debconf (>= 0.5.0)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto

Package: partman-crypto
XC-Package-Type: udeb
Architecture: any
Depends: partman-base (>= 134), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
Description: Add to partman support for block device encryption

Package: partman-crypto-dm
XC-Package-Type: udeb
Architecture: all
Depends: partman-crypto, crypto-modules, crypto-dm-modules, cryptsetup-udeb
Description: Add to partman support for dm-crypt encryption

Package: partman-crypto-loop
XC-Package-Type: udeb
Architecture: all
Depends: partman-crypto, loop-aes-modules, mount-aes-udeb, gnupg-udeb
Description: Add to partman support for loop-AES encryption

## partman-crypto 46ubuntu1

=== debian/changelog ===
partman-crypto (46ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Jan 2011 14:41:03 +0000

partman-crypto (45ubuntu2) natty; urgency=low

  * Include <sys/mount.h> for BLKGETSIZE rather than <linux/fs.h>.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 13:13:31 +0000

partman-crypto (45ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 12:18:36 +0000

partman-crypto (44ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Oct 2010 22:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: partman-crypto
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 7.0.8), dh-di, po-debconf (>= 0.5.0)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-crypto/ubuntu
 
 Package: partman-crypto
 XC-Package-Type: udeb
 Architecture: any
-Depends: partman-base (>= 134), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
+Depends: partman-base (>= 134), cdebconf-udeb (>= 0.133), di-utils (>= 1.68), ${shlibs:Depends}, ${misc:Depends}
 Description: Add to partman support for block device encryption
 
 Package: partman-crypto-dm

## partman-crypto 47ubuntu3

=== debian/changelog ===
partman-crypto (47ubuntu3) oneiric; urgency=low

  * Add an "Activate existing encrypted volumes" option to the
    partman-crypto main menu.  If selected, this searches for existing
    volumes, and for each one prompts for its passphrase and attempts to
    open it; it then returns directly to the partitioning menu (closes:
    #451535, LP: #420080).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Sep 2011 14:15:32 +0100

partman-crypto (47ubuntu2) oneiric; urgency=low

  * Allow crypto kernel modules to be built-in (aes-generic is built-in
    nowadays).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Aug 2011 13:22:36 +0100

partman-crypto (47ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 May 2011 17:05:32 +0100

partman-crypto (47) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Estonian (et.po) by Mattias Põldaru
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Korean (ko.po) by Changwoo Ryu
  * Nepali (ne.po)
  * Romanian (ro.po) by Eddy Petrișor
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Telugu (te.po) by Arjuna Rao Chavala
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Uyghur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 12:43:47 +0200

## partman-crypto 49

=== Makefile ===
build:
	$(MAKE) -C base64
	$(MAKE) -C blockdev-wipe

clean:
	$(MAKE) -C base64 clean
	$(MAKE) -C blockdev-wipe clean

=== debian/changelog ===
partman-crypto (49) unstable; urgency=low

  * Merge from Ubuntu:
    - Allow crypto kernel modules to be built-in.
  * The fix for #642115 was actually working around a 'dmsetup table' output
    format regression in libdevmapper 1.02.65 / lvm2 2.02.86, fixed in
    libdevmapper 1.02.66 / lvm2 2.02.87.  For robustness, handle both old
    and new output formats (closes: #647540, LP: #892903).

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by vignesh prabhu
  * Polish (pl.po) by Marcin Owsiany

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Nov 2011 23:49:12 +0000

partman-crypto (48) unstable; urgency=low

  * Fix parsing of dmsetup table output, so it will actually detect when
    swap is on crypto. Closes: #642115 (Thanks Jon Dowland for debugging it.)

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Macedonian (mk.po) by Arangel Angov
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po) by Danishka Navin
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Sep 2011 12:01:12 -0400

=== debian/control ===
Source: partman-crypto
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 7.0.8), dh-di, po-debconf (>= 0.5.0)
Vcs-Browser: http://git.debian.org/?p=d-i/partman-crypto.git
Vcs-Git: git://git.debian.org/d-i/partman-crypto.git

Package: partman-crypto
XC-Package-Type: udeb
Architecture: any
Depends: partman-base (>= 134), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
Description: Add to partman support for block device encryption

Package: partman-crypto-dm
XC-Package-Type: udeb
Architecture: all
Depends: partman-crypto, crypto-modules, crypto-dm-modules, cryptsetup-udeb
Description: Add to partman support for dm-crypt encryption

Package: partman-crypto-loop
XC-Package-Type: udeb
Architecture: all
Depends: partman-crypto, loop-aes-modules, mount-aes-udeb, gnupg-udeb
Description: Add to partman support for loop-AES encryption

## partman-crypto 50

=== debian/changelog ===
partman-crypto (50) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Kannada (kn.po) by Prabodh C P
  * Dutch (nl.po) by Jeroen Schot

 -- Otavio Salvador <otavio@debian.org>  Thu, 15 Mar 2012 14:59:17 -0300

## partman-crypto 50ubuntu1

=== debian/changelog ===
partman-crypto (50ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 12:42:53 +0100

partman-crypto (49ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2011 00:09:32 +0000

partman-crypto (48ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Allow crypto kernel modules to be built-in (aes-generic is built-in
      nowadays).
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Oct 2011 23:21:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: partman-crypto
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 7.0.8), dh-di, po-debconf (>= 0.5.0)
-Vcs-Browser: http://git.debian.org/?p=d-i/partman-crypto.git
-Vcs-Git: git://git.debian.org/d-i/partman-crypto.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/partman-crypto.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/partman-crypto.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-crypto/ubuntu
 
 Package: partman-crypto
 XC-Package-Type: udeb
 Architecture: any
-Depends: partman-base (>= 134), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
+Depends: partman-base (>= 134), partman-lvm (>= 62), cdebconf-udeb (>= 0.133), di-utils (>= 1.68), ${shlibs:Depends}, ${misc:Depends}
 Description: Add to partman support for block device encryption
 
 Package: partman-crypto-dm

## partman-crypto 50ubuntu2

=== debian/changelog ===
partman-crypto (50ubuntu2) precise; urgency=medium

  * Backport support for, and use by default, xts-plain64. (LP: #1263740) (closes: #482092)
    - Double key size if xts mode is selected.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 Jan 2014 12:25:11 +0000

## partman-crypto 55ubuntu1

=== debian/changelog ===
partman-crypto (55ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as it is not supported.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
    - Move apt-install cryptsetup call to finish.d.  
    - Move unsafe_swap checks from commit.d to check.d

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 21 Oct 2012 00:49:20 +0100

partman-crypto (55) unstable; urgency=low

  * Add myself to Uploaders.

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Oct 2012 12:37:34 +0200

partman-crypto (54ubuntu2) quantal; urgency=low

  * Move unsafe_swap checks from commit.d to check.d (LP: #1056707)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 01 Oct 2012 10:30:35 +0100

partman-crypto (54ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as it is not supported.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
    - Move apt-install cryptsetup call to finish.d.  

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 14 Aug 2012 08:44:57 +0100

partman-crypto (54) unstable; urgency=low

  [ Bastian Blank ]
  * Disable loop-aes support. (closes: #680943)
  * Support and use xts-plain64 by default. (closes: #482092)
    - Double key size if xts mode is selected.

 -- Julien Cristau <jcristau@debian.org>  Fri, 03 Aug 2012 10:36:03 +0200

partman-crypto (53ubuntu2) quantal; urgency=low

  * Move apt-install cryptsetup call to finish.d.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 01 Aug 2012 10:53:29 +0100

partman-crypto (53ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Jul 2012 11:42:46 +0100

partman-crypto (53) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 08:27:54 +0200

partman-crypto (52) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jun 2012 12:51:26 +0200

partman-crypto (51) unstable; urgency=low

  * Team upload
  * Replace XC-Package-Type with Package-Type

  [ Updated translations ]
  * Tibetan (bo.po) by Tennom
  * Welsh (cy.po) by Dafydd Tomos
  * Galician (gl.po) by Jorge Barreiro
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Jun 2012 07:30:33 +0200

## partman-crypto 57

=== debian/changelog ===
partman-crypto (57) unstable; urgency=low

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 17:39:01 +0100

partman-crypto (56) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Dec 2012 07:15:01 +0100

=== debian/control ===
Source: partman-crypto
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Max Vozeler <xam@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 7.0.8), dh-di, po-debconf (>= 0.5.0)
Vcs-Browser: http://git.debian.org/?p=d-i/partman-crypto.git
Vcs-Git: git://git.debian.org/d-i/partman-crypto.git

Package: partman-crypto
Package-Type: udeb
Architecture: any
Depends: partman-base (>= 134), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
Description: Add to partman support for block device encryption

Package: partman-crypto-dm
Package-Type: udeb
Architecture: all
Depends: partman-crypto, crypto-modules, crypto-dm-modules, cryptsetup-udeb
Description: Add to partman support for dm-crypt encryption

## partman-crypto 60ubuntu1

=== debian/changelog ===
partman-crypto (60ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 02 Aug 2013 10:54:38 +0100

partman-crypto (60) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Guard with apt-install '|| true' in case apt-install exists with error
    code 1, indicating delayed installation.
  * Set debian source format to '3.0 (native)'.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 14:26:27 +0200

partman-crypto (59) unstable; urgency=low

  * Add myself to uploads.
  * Bump debhelper compat to 9.
  * Use standard VCS URLs.
  * Move unsafe swap checks from commit.d to check.d to be executed
    earlier and thus returning quicker back to partitioning menu
  * Install cryptsetup user space utilities, earlier, in finish.d instead
    of post-base-installer.d. This way cryptsetup utilities are installed
    if post-base-installer is not executed at all (like in ubiquity) or
    didn't manage to run for any other reason. This is also more inline
    with other fs-specific utilities and other partman-* packages.

 -- Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>  Thu, 23 May 2013 12:05:59 +0100

partman-crypto (58) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Remove remaining loop-aes code.

  [ Colin Watson ]
  * Remove redundant and unused debian/install file.
  * Use correct compiler and strip when cross-building.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 May 2013 18:42:44 +0200

## partman-crypto 74ubuntu1

=== debian/changelog ===
partman-crypto (74ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Aug 2014 18:21:29 +0100

partman-crypto (74) unstable; urgency=high

  * Cope with parted 3.2 automatically creating a partition when creating a
    fresh loop label (closes: #757663).

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2014 16:10:58 +0100

partman-crypto (73) unstable; urgency=low

  [ Updated translations ]
  * Greek (el.po) by galaxico
  * Ukrainian (uk.po) by Anton Gladky

 -- Christian Perrier <bubulle@debian.org>  Tue, 13 May 2014 07:26:30 +0200

partman-crypto (72) unstable; urgency=low

  * Add a lintian override for untranslatable-debconf-templates

  [ Updated translations ]
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 May 2014 18:32:26 +0200

partman-crypto (71) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Korean (ko.po) by Changwoo Ryu

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 Mar 2014 14:32:07 +0100

partman-crypto (70) unstable; urgency=medium

  [ Updated translations ]
  * Italian (it.po) by Milo Casagrande

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 18:10:10 +0100

partman-crypto (69) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Tajik (tg.po) by Victor Ibragimov
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Jan 2014 07:36:25 +0100

partman-crypto (68) unstable; urgency=low

  [ Updated translations ]
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Dec 2013 13:49:25 +0100

partman-crypto (67) unstable; urgency=low

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Croatian (hr.po) by Tomislav Krznar
  * Polish (pl.po) by Michał Kułach
  * Slovak (sk.po) by Ivan Masár
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Dec 2013 19:40:33 +0100

partman-crypto (66) unstable; urgency=low

  [ Thiemo Nagel ]
  * Use the same security setting for wiping existing volumes
    than previous settings, when the volume was already encrypted.
    Closes: #726448

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Nov 2013 09:14:39 +0100

partman-crypto (65) unstable; urgency=low

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * French (fr.po) by Christian Perrier
  * Japanese (ja.po) by Kenshi Muto
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Wed, 06 Nov 2013 06:49:03 +0100

partman-crypto (64) unstable; urgency=low

  [ Thiemo Nagel ]
  * Make "Erasing data" step optional. blockdev-wipe is too slow
    Closes: #722898
  * blockdev-wipe: Set blocksize to 512k
  * blockdev-wipe: Sync at most once per second
  * blockdev-wipe: Allocate buffer from heap instead of stack
  * blockdev-wipe: Reduce progress indicator granularity to 1/1000

  [ Updated translations ]
  * Polish (pl.po) by Michał Kułach

 -- Christian Perrier <bubulle@debian.org>  Wed, 30 Oct 2013 20:24:43 +0100

partman-crypto (63ubuntu2) trusty; urgency=medium

  [ Stéphane Graber ]
  * Allow discard on luks devices.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 12 Mar 2014 15:58:20 +0000

partman-crypto (63ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Allow preseeding the first passphrase prompt and
      partman-crypto/weak_passphrase.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 16:14:43 +0100

partman-crypto (63) unstable; urgency=low

  [ Thiemo Nagel ]
  * remove broken BLKGETSIZE fallback from blockdev-wipe. Closes: #722696

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Oct 2013 07:26:54 +0200

partman-crypto (61) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Sep 2013 19:33:44 +0200

## partman-crypto 78ubuntu1

=== debian/changelog ===
partman-crypto (78ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Dec 2014 17:51:11 +0000

partman-crypto (78) unstable; urgency=low

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Christian Perrier <bubulle@debian.org>  Mon, 08 Dec 2014 06:15:18 +0100

partman-crypto (77ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Dec 2014 17:35:35 +0000

partman-crypto (77) unstable; urgency=medium

  * Cherry-pick bzr r693 from Ubuntu (partman-crypto/40ubuntu2), thanks
    to Colin Watson:
    - Allow preseeding the first passphrase prompt (LP: #546405).
      (Preseeding passphrases for multiple different physical volumes is
      a whole different kettle of fish ...)
  * Cherry-pick bzr r695 from Ubuntu (partman-crypto/40ubuntu3), thanks
    to Colin Watson:
    - Allow preseeding partman-crypto/weak_passphrase too (LP: #546405).
  * Add a security note in debian/partman-crypto.templates, documenting
    the preseedability of the three extra items listed below, warning
    against possible eavesdropping, and suggesting a proper key escrow
    system (Closes: #656710):
    - partman-crypto/passphrase
    - partman-crypto/passphrase-again
    - partman-crypto/weak_passphrase

 -- Cyril Brulebois <kibi@debian.org>  Fri, 24 Oct 2014 12:00:46 +0200

partman-crypto (76) unstable; urgency=low

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Oct 2014 09:26:30 +0200

partman-crypto (75) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Estonian (et.po) by Mattias Põldaru
  * Marathi (mr.po) by sampada
  * Panjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 14:11:50 +0200

## partman-crypto 81

=== debian/changelog ===
partman-crypto (81) unstable; urgency=low

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 Apr 2015 08:58:17 +0200

partman-crypto (80) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Apr 2015 14:16:24 +0200

partman-crypto (79) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Bradut Boghita

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Mar 2015 07:51:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Max Vozeler <xam@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.0.8), dh-di, po-debconf (>= 0.5.0)
-Vcs-Browser: http://git.debian.org/?p=d-i/partman-crypto.git
-Vcs-Git: git://git.debian.org/d-i/partman-crypto.git
+Uploaders: Max Vozeler <xam@debian.org>, Christian Perrier <bubulle@debian.org>, Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>
+Build-Depends: debhelper (>= 9), dh-di, po-debconf (>= 0.5.0)
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partman-crypto.git
+Vcs-Git: git://anonscm.debian.org/d-i/partman-crypto.git
 
 Package: partman-crypto
 Package-Type: udeb

## partman-crypto 88

=== debian/changelog ===
partman-crypto (88) unstable; urgency=medium

  [ Updated translations ]
  * Serbian (sr.po)

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Jun 2016 15:50:25 +0200

partman-crypto (87) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Feb 2016 19:37:41 +0100

partman-crypto (86) unstable; urgency=high

  * Fix non-preseeded Encrypted LVM installs which were failing due to
    faulty logic in preseeding handling. Many thanks to Adrian Kretz for
    the report and the patch! (Closes: #793643)

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Aug 2015 01:22:43 +0200

partman-crypto (85) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Aug 2015 11:57:20 +0200

partman-crypto (84) unstable; urgency=medium

  * Make default crypto parameters preseedable (Closes: #785732). Thanks
    to Jérôme Vizcaino for the report and the patch!
  * Honor specified keyhash algorithm for LUKS (Closes: #785733). Thanks
    to Jérôme Vizcaino for the report and the patch! (bis)

 -- Cyril Brulebois <kibi@debian.org>  Fri, 10 Jul 2015 02:31:45 +0200

partman-crypto (83) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Fri, 03 Jul 2015 06:13:32 +0200

partman-crypto (82) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 May 2015 19:23:03 +0200

## partman-crypto 97

=== debian/changelog ===
partman-crypto (97) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Feb 2018 07:13:50 +0100

partman-crypto (96) unstable; urgency=medium

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Wed, 24 Jan 2018 06:38:59 +0100

partman-crypto (95) unstable; urgency=medium

  [ Updated translations ]
  * Icelandic (is.po) by Sveinn í Felli
  * Panjabi (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jan 2018 08:31:25 +0100

partman-crypto (94) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by Boyuan Yang
  * Traditional Chinese (zh_TW.po) by Chang-Chia Tseng

 -- Christian Perrier <bubulle@debian.org>  Mon, 25 Dec 2017 10:07:13 +0100

partman-crypto (93) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Lithuanian (lt.po) by Rimas Kudelis
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Fri, 01 Dec 2017 19:45:13 +0100

partman-crypto (92) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Estonian (et.po) by Kristjan Räts
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy
  * Swedish (sv.po) by Anders Jonsson

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Nov 2017 07:24:13 +0100

partman-crypto (91) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Albanian (sq.po) by Redon Skikuli

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Sep 2017 18:40:48 +0200

partman-crypto (90) unstable; urgency=medium

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Simplified Chinese (zh_CN.po) by Yangfl
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Tue, 04 Jul 2017 05:51:24 +0200

partman-crypto (89) unstable; urgency=medium

  [ Updated translations ]
  * Serbian (sr.po) by Dragan Filipović

 -- Christian Perrier <bubulle@debian.org>  Wed, 08 Jun 2016 06:57:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Max Vozeler <xam@debian.org>, Christian Perrier <bubulle@debian.org>, Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>
 Build-Depends: debhelper (>= 9), dh-di, po-debconf (>= 0.5.0)
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/partman-crypto.git
-Vcs-Git: git://anonscm.debian.org/d-i/partman-crypto.git
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/partman-crypto.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/partman-crypto.git
 
 Package: partman-crypto
 Package-Type: udeb

## partman-crypto 98ubuntu1

=== debian/changelog ===
partman-crypto (98ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.
    - lib/crypto-base.sh: don't regard zram devices as "unsafe", since we
      know these are entirely RAM-backed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 May 2018 16:05:52 -0700

partman-crypto (98) unstable; urgency=medium

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Welsh (cy.po) by Huw Waters
  * Hebrew (he.po) by Yaron Shahrabani
  * Indonesian (id.po) by Andika Triwidada

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Apr 2018 18:42:37 +0200

partman-crypto (86ubuntu2) bionic; urgency=medium

  * lib/crypto-base.sh: don't regard zram devices as "unsafe", since we
    know these are entirely RAM-backed.  LP: #1759732.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Apr 2018 17:07:27 -0700

partman-crypto (86ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Add an "Activate existing encrypted volumes" option to the
      partman-crypto main menu.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 22 Dec 2015 16:22:58 -0500

=== debian/control ===
Source: partman-crypto
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Max Vozeler <xam@debian.org>, Christian Perrier <bubulle@debian.org>, Dmitrijs Ledkovs <dmitrijs.ledkovs@canonical.com>
Build-Depends: debhelper (>= 9), dh-di, po-debconf (>= 0.5.0)
XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/partman-crypto.git
XS-Debian-Vcs-Git: https://anonscm.debian.org/git/d-i/partman-crypto.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-crypto/ubuntu

Package: partman-crypto
Package-Type: udeb
Architecture: any
Depends: partman-base (>= 134), partman-lvm (>= 62), cdebconf-udeb (>= 0.133), di-utils (>= 1.68), ${shlibs:Depends}, ${misc:Depends}
Description: Add to partman support for block device encryption

Package: partman-crypto-dm
Package-Type: udeb
Architecture: all
Depends: partman-crypto, crypto-modules, crypto-dm-modules, cryptsetup-udeb
Description: Add to partman support for dm-crypt encryption
